from setuptools import setup, find_packages

setup(
    name='EdosL0Util',
    author='Bruce Flynn',
    author_email='brucef@ssec.wisc.edu',
    description='Utilities for working with EDOS L0 PDS files',
    version='0.8.dev',
    zip_safe=False,
    packages=find_packages(),
    pyver=True,
    dependency_links=['https://sips.ssec.wisc.edu/eggs/packages'],
    setup_requires=[
        'PyVer',
    ],
    install_requires=[
        'h5py',
    ],
    entry_points="""
    [console_scripts]
    edosl0split = edosl0util.cli.split:main
    edosl0trunc = edosl0util.cli.trunc:main
    edosl0info = edosl0util.cli.info:main
    edosl0merge = edosl0util.cli.merge:main
    edosl0crgen = edosl0util.cli.crgen:main
    rdr2l0 = edosl0util.cli.rdr2l0:main
    """
)
